//////////////////////////////////////////////////////////////////
// FIR filter example.
// 
// Copyright(c) 2003-2009 Impulse Accelerated Technologies, Inc.
// 
// Change TAPS to match your desired filter size

#define TAPS 12 //for simplicities sake, keep this a multiple of 4
#define COEF_FILE	"coefficients.dat"
#define INPUT_FILE	"filter_in.dat"
#define OUTPUT_FILE "filter_out.dat"//all software simulation will place output file in H:\\Impulse\\CoDeveloper3\\Examples\\DSP\\Fir51. 
									//software companion to firmware implementation will place output file in H:\\Impulse\\CoDeveloper3\\Examples\\DSP\\Fir51\\export_sw\\software

#define B_OFFSET(pos,offset) ((pos) + (offset) < TAPS ? (pos) + (offset) :\
		                     ((pos) - TAPS) + (offset))
#define BUFSIZE 2         /* buffer size for FIFO in hardware */


#define IMPULSEC_GLOBAL_RST_ADDR 0x08000000

//128-bit math is impossible in C without function calls, so when running simulation we will use 64-bit math

#if defined(IMPULSE_C_SYNTHESIS) || defined(IMPULSE_C_TARGET)
	#define picobusWidth 	64
	#define picobusDataType uint64
#else
	#define picobusWidth 	64
	#define picobusDataType uint64
#endif
